# Generated from twitter_bootstrap_wizard_rails-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name twitter_bootstrap_wizard_rails

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Summary: Build wizard out of a formatter tabbable structure using Bootstrap
License: MIT
URL: https://github.com/ishouvik/twitter_bootstrap_wizard_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Twitter Bootstrap Wizard Rails builds a wizard out of a formatter tabbable
structure. It allows to build a wizard functionality using buttons to go
through the different wizard steps and using events allows to hook into each
step individually.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/twitter_bootstrap_wizard_rails.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.3.1-1
- Initial package
